ECHO OFF

MPS_DISK
if errorlevel 4 goto File
if errorlevel 3 goto File
if errorlevel 2 goto HD1

:Error
rem	no disks or single DD
echo ô
echo ³   LightSpeed requires two diskette drives to run.
echo õ
goto Exit

:HD1
rem	single HD drive
echo ô
echo ³   Replace DISK_A with DISK_C.
echo õ
pause
LightSpd
goto Exit

:File
MPS_FILE
if errorlevel 2 goto DiskB
if errorlevel 1 goto DiskA

MPS_DISK
if errorlevel 4 goto HD_DD

rem	dual DD drives
echo ô
echo ³   Insert DISK_C in second drive.
echo õ
pause
LightSpd
goto Exit

:HD_DD
rem	HD & DD drives
echo ô
echo ³   If playing off single drive, replace DISK_A with DISK_C.
echo ³
echo ³   If playing off dual  drives, insert DISK_C in second drive.
echo õ
pause
LightSpd
goto Exit

:DiskA
A:LightSpd
goto Exit

:DiskB
B:LightSpd
goto Exit

:Exit
ECHO ON

